Cyberduck Mountain Duck CLI

#52 closed defect (invalid)

Cyberduck "forgets" permission bits with external editor

Reported by: bpalmer Owned by: dkocher
Priority: normal Milestone: 2.5.3
Component: core Version: 2.5.2
Severity: normal Keywords: permissions external editor
Cc: Architecture:
Platform:

Description

On some servers, Cyberduck resets the permission bits on a file to 644 (maybe specific to the server?) when you double-click a file, edit it in your external text editor, then save it causing Cyberduck to upload the new version. So you lose any permissions you've set on the file, I notice this especially when I'm editing a shell script via Cyberduck. It doesn't appear to happen on all servers, though. This could have been pretty severe if I hadn't noticed the issue, so I'm wondering if this should have a higher severity?

Change History (7)

comment:1 Changed on Dec 14, 2005 at 9:41:18 AM by dkocher

Are you able to set the permissions on these servers using the info panel? If not the server does probably not support the CHMOD command (check the transcript) and sets the default permissions instead.

comment:2 Changed on Dec 14, 2005 at 11:13:50 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

comment:3 Changed on Dec 15, 2005 at 3:05:42 AM by bpalmer

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Yes, I am able to set the permissions using the info panel, basically I have to click the file, hit Cmd-I, and fix the permissions again every time I make a change to it. Sorry, I thought I mentioned that but I didn't.

comment:4 Changed on Dec 15, 2005 at 3:13:01 AM by bpalmer

Here is the relevant part of a log transcript. You can see that right after I hit save in my text editor and Cyberduck uploads the new version, it CHMODs the file from the previous 755 to 644. I'm using Textmate as my editor, but I just tried it out in SubEthaEdit and the same thing happens, so I don't think it's the editor. Thanks.

CWD /public_html/cgi-bin/dada
250 OK. Current directory is /public_html/cgi-bin/dada
PASV
227 Entering Passive Mode (72,29,74,11,129,244)
LIST -a
150 Accepted data connection
drwxr-xr-x    2 32042    magleby      4096 Dec 14 18:03 .
drwxr-xr-x    3 32042    magleby      4096 Dec 14 17:36 ..
-rwxr-xr-x    1 32042    magleby    206124 Dec 14 18:03 mail.cgi
226-Options: -a -l 
226 3 matches total
NOOP
200 Zzz...
TYPE I
200 TYPE is now 8-bit binary
PASV
227 Entering Passive Mode (72,29,74,11,144,158)
RETR /public_html/cgi-bin/dada/mail.cgi
150-Accepted data connection
150 201.3 kbytes to download
226-File successfully transferred
226 3.056 seconds (measured here), 65.88 Kbytes per second
NOOP
200 Zzz...
NOOP
200 Zzz...
PASV
227 Entering Passive Mode (72,29,74,11,122,181)
STOR /public_html/cgi-bin/dada/mail.cgi
150 Accepted data connection
226-File successfully transferred
226 4.701 seconds (measured here), 42.82 Kbytes per second
SITE CHMOD 644 /public_html/cgi-bin/dada/mail.cgi
200 Permissions changed on /public_html/cgi-bin/dada/mail.cgi
SITE UTIME 20051215030200 /public_html/cgi-bin/dada/mail.cgi
500 SITE UTIME is an unknown extension
NOOP
200 Zzz...
TYPE A
200 TYPE is now ASCII
CWD /public_html/cgi-bin/dada
250 OK. Current directory is /public_html/cgi-bin/dada
PASV
227 Entering Passive Mode (72,29,74,11,158,127)
LIST -a
150 Accepted data connection
drwxr-xr-x    2 32042    magleby      4096 Dec 14 22:02 .
drwxr-xr-x    3 32042    magleby      4096 Dec 14 17:36 ..
-rw-r--r--    1 32042    magleby    206125 Dec 14 22:02 mail.cgi
226-Options: -a -l 
226 3 matches total

comment:5 Changed on Dec 15, 2005 at 9:36:56 AM by dkocher

Have you check both "change permissions on upload and download" in the transfer preferences?

comment:6 Changed on Dec 15, 2005 at 7:05:36 PM by bpalmer

  • Resolution set to invalid
  • Status changed from reopened to closed

I am an idiot. I'm still not clear on why this only happens to me on certain servers, but I can sort it out now that I know about those options. Sorry for wasting your time.

comment:7 in reply to: ↑ 1993 Changed on Oct 22, 2009 at 9:29:36 PM by Bob76

There are certainly a number of biological differences between men and women. ,

Note: See TracTickets for help on using tickets.
swiss made software